#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kpipewire
Summary:        Offers a set of convenient classes to use PipeWire (https://pipewire.org/) in Qt projects
Version: 5.27.10
Release:        %mkrel %{rel}
Group:          System/Configuration
License:        GPLv2
URL:            https://projects.kde.org/projects/extragear/base/kscreen
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  kf5-macros

BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Quick)
BuildRequires:  cmake(Qt5Quick)
BuildRequires:  cmake(Qt5WaylandClient)

BuildRequires:  cmake(KF5Wayland)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5CoreAddons)

BuildRequires:  cmake(PlasmaWaylandProtocols)

BuildRequires:  pkgconfig(libpipewire-0.3)
BuildRequires:  pkgconfig(libavcodec)
BuildRequires:  pkgconfig(gbm)
BuildRequires:  pkgconfig(epoxy)

BuildRequires:  qtplatformsupport5-devel

%description
Offers a set of convenient classes to use PipeWire (https://pipewire.org/)
in Qt projects.

%files -f %name.lang
%_kf5_categoriesdir/kpipewire*.categories
%_qt5_qmldir/org/kde/pipewire/

#--------------------------------------------------------------------

%define kpipewire_major 5
%define libkpipewire %mklibname kpipewire %{kpipewire_major}

%package -n %libkpipewire
Summary:        Offers a set of convenient classes to use PipeWire (https://pipewire.org/) in Qt projects
Group:          System/Libraries
Recommends:     %{name} >= %{version}-%{release}

%description -n %libkpipewire
Offers a set of convenient classes to use PipeWire (https://pipewire.org/)
in Qt projects.

%files -n %libkpipewire
%_kf5_libdir/libKPipeWire.so.%{kpipewire_major}{,.*}

#--------------------------------------------------------------------

%define kpipewiredmabuf_major 5
%define libkpipewiredmabuf %mklibname kpipewiredmabuf %{kpipewiredmabuf_major}

%package -n %libkpipewiredmabuf
Summary:        Offers a set of convenient classes to use PipeWire (https://pipewire.org/) in Qt projects
Group:          System/Libraries
Recommends:     %{name} >= %{version}-%{release}

%description -n %libkpipewiredmabuf
Offers a set of convenient classes to use PipeWire (https://pipewire.org/)
in Qt projects.

%files -n %libkpipewiredmabuf
%_kf5_libdir/libKPipeWireDmaBuf.so.%{kpipewire_major}{,.*}

#--------------------------------------------------------------------

%define kpipewirerecord_major 5
%define libkpipewirerecord %mklibname kpipewirerecord %{kpipewirerecord_major}

%package -n %libkpipewirerecord
Summary:        Offers a set of convenient classes to use PipeWire (https://pipewire.org/) in Qt projects
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %libkpipewirerecord
Offers a set of convenient classes to use PipeWire (https://pipewire.org/)
in Qt projects.

%files -n %libkpipewirerecord
%_kf5_libdir/libKPipeWireRecord.so.%{kpipewirerecord_major}{,.*}

#--------------------------------------------------------------------

%define kpipewire_devel %mklibname kpipewire -d

%package -n %kpipewire_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkpipewire       = %{version}-%{release}
Requires:       %libkpipewiredmabuf = %{version}-%{release}
Requires:       %libkpipewirerecord = %{version}-%{release}
Provides:       %name-devel = %{version}-%{release}

%description -n %kpipewire_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kpipewire_devel
%_includedir/KPipeWire/
%_kf5_libdir/cmake/KPipeWire/
%_kf5_libdir/libKPipeWire.so
%_kf5_libdir/libKPipeWireDmaBuf.so
%_kf5_libdir/libKPipeWireRecord.so

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name


%changelog
* Fri Feb 09 2024 neoclust <neoclust> 5.27.10-1.mga9
+ Revision: 2039935
- New version 5.27.10

* Fri May 26 2023 neoclust <neoclust> 5.27.5-1.mga9
+ Revision: 1958039
- New version 5.27.5

* Mon Apr 10 2023 neoclust <neoclust> 5.27.4-1.mga9
+ Revision: 1951952
- New version 5.27.4

* Wed Mar 15 2023 neoclust <neoclust> 5.27.3-1.mga9
+ Revision: 1949077
- New version 5.27.3

* Tue Feb 28 2023 neoclust <neoclust> 5.27.2-1.mga9
+ Revision: 1945784
- New version 5.27.2

* Wed Feb 22 2023 daviddavid <daviddavid> 5.27.1-1.mga9
+ Revision: 1944796
- New version 5.27.1

* Tue Feb 14 2023 neoclust <neoclust> 5.27.0-1.mga9
+ Revision: 1942063
- New version 5.27.0

* Tue Jan 24 2023 neoclust <neoclust> 5.26.90-1.mga9
+ Revision: 1935771
- New version 5.26.90

* Thu Jan 05 2023 daviddavid <daviddavid> 5.26.5-1.mga9
+ Revision: 1930060
- New version 5.26.5

* Thu Dec 15 2022 neoclust <neoclust> 5.26.4-1.mga9
+ Revision: 1923112
- New version 5.26.4

* Tue Nov 15 2022 neoclust <neoclust> 5.26.3-1.mga9
+ Revision: 1907531
- New version 5.26.3
- New version 5.26.2

* Sun Sep 18 2022 neoclust <neoclust> 5.25.90-2.mga9
+ Revision: 1889803
- Fix requires in the devel package

* Sun Sep 18 2022 neoclust <neoclust> 5.25.90-1.mga9
+ Revision: 1889781
- imported package kpipewire

